Hydrilla
Get API Key
POST/v1/images/edit1 credit

Edit Concept Image

Modify an existing concept render using natural language prompts and optional masks.

AuthenticationAuthorization: Bearer hyd_live_your_api_key_here
Base URLhttps://backend.hydrilla.ai

Overview

Modify an existing concept render using natural language prompts and optional masks.

Request bodyapplication/json

ParameterTypeRequiredDefaultDescription
image_url#stringrequired—Public HTTPS URL of the base image to modify.
prompt#stringrequired—Description of the modifications (e.g. 'Add glowing orange lights and weathered rust scratches').
model#stringoptionalgpt-image-2.5-flareModel to use for editing.
image_urlrequired
string

Public HTTPS URL of the base image to modify.

promptrequired
string

Description of the modifications (e.g. 'Add glowing orange lights and weathered rust scratches').

modeloptional
stringdefault: gpt-image-2.5-flare

Model to use for editing.

Response

Successful requests return the job object. Errors use the status codes below.

Authentication errors

401 — Invalid or revoked API key. 402 — Not enough credits.

bashrequest.sh
curl -X POST https://backend.hydrilla.ai/v1/images/edit \
  -H "Authorization: Bearer hyd_live_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "image_url": "https://hydrilla-assets.s3.amazonaws.com/generated/img_20260930_rover.png",
    "prompt": "Add heavy battle damage and glowing warning lights",
    "model": "gpt-image-2.5-flare"
  }'
json200_SUCCESS.json
{
  "image_url": "https://hydrilla-assets.s3.amazonaws.com/generated/img_20260930_rover_edited.png",
  "model": "gpt-image-2.5-flare",
  "prompt": "Add heavy battle damage and glowing warning lights"
}
Response fields
  • image_url string
  • model string
  • prompt string

Was this page helpful?